/* Create a node of type Citation */

MERGE (
   ct:Citation
   {
      id      : '${CT_id}',         /* internal ID (e.g. <iterating>, <GUID>, pubmed_<pubmed_id>) */
      type    : 'Citation',

      database: '${CT_database}',   /* follows from existence of e.g. pubmed_id */
      pubID   : '${CT_pub_id}'      /* <-- e.g. pubmed_id */
   }
)

ON CREATE SET
   ct.created = timestamp ()
