/* Create a node of type KEGGPathwayExtraGenes */

MERGE (
   keggx:KEGGPathwayExtraGenes
   {
      id         : '${KEGGX_id}',             /* <-- biosystem_ncbi_gene_id */
      type       : 'KEGGPathwayExtraGenes',
      subtype    : '${KEGGX_type}',           /* <-- type_of_gene */
      symbol     : '${KEGGX_symbol}',         /* <-- gene_symbol */
      ncbiGeneID : '${KEGGX_ncbi_gene_id}'    /* <-- biosystem_ncbi_gene_id */
   }
)

ON CREATE SET
   keggx.description = '${KEGGX_description}',    /* <-- gene_description */

   keggx.species = [${KEGGX_species}],

   keggx.created = timestamp ()

ON MATCH SET
   keggx.description = '${KEGGX_description}',    /* <-- gene_description */

   keggx.species = [${KEGGX_species}]
