/* Create a node of type Pathway */

/*FIXME rename links*/
/*FIXME redesign
linkbase: biosystem
database: KEGG
subtype: pathway
*/

MERGE (
   pw:Pathway
   {
      id         : '${PW_id}',            /* internal ID (e.g. <iterating>, <GUID>, PW_<biosystem_source_db_accession>) */
      type       : 'Pathway',
      subtype    : '${PW_type}',          /* <-- e.g. biosystem_type */
      name       : '${PW_name}'           /* <-- e.g. biosystem_name */
   }
)

ON CREATE SET
   pw.scope       = '${PW_scope}',         /* <-- e.g. biosystem_taxonomic_scope */
   pw.source      = '${PW_source}',        /* <-- e.g. biosystem_source_db */
   pw.sourceID    = '${PW_source_id}',     /* <-- e.g. biosystem_source_db_accession, bsid */

   pw.ncbiTaxID   = ${PW_ncbi_tax_id},     /* <-- ncbi_taxid */

   pw.description = ${PW_description},     /* <-- e.g. biosystem_description */

   pw.created = timestamp ()

ON MATCH SET
   pw.scope       = '${PW_scope}',         /* <-- e.g. biosystem_taxonomic_scope */
   pw.source      = '${PW_source}',        /* <-- e.g. biosystem_source_db */
   pw.sourceID    = '${PW_source_id}',     /* <-- e.g. biosystem_source_db_accession, bsid */

   pw.ncbiTaxID   = ${PW_ncbi_tax_id},     /* <-- ncbi_taxid */

   pw.description = ${PW_description}      /* <-- e.g. biosystem_description */
