// http://stemkoski.github.io/Three.js/Shader-Glow.html
// http://stemkoski.github.io/Three.js/Shader-Halo.html

uniform float c;
uniform float p;
varying float intensity;
void main()
{
   vec3 vNormal = normalize( normalMatrix * normal );
   intensity = pow( c - dot(vNormal, vec3 (0.0, 0.0, 1.0) ), p );

   gl_Position = projectionMatrix * modelViewMatrix * vec4( position, 1.0 );
}
