
//---------------------------Class GraphContainer---------------------------------------//
class GraphContainer {
   constructor (node) {
      if (node.children.length == 0) {
         var cnode;
         node.appendChild (cnode = document.createElement ("div") ); cnode.id = "graph";
         node.appendChild (cnode = document.createElement ("div") ); cnode.id = "hover";
         node.appendChild (cnode = document.createElement ("div") ); cnode.id = "prompt";
         node.appendChild (cnode = document.createElement ("div") ); cnode.id = "menu";
         node.appendChild (cnode = document.createElement ("div") ); cnode.id = "statusbar";
         node.appendChild (cnode = document.createElement ("div") ); cnode.id = "select";
         node.appendChild (cnode = document.createElement ("div") ); cnode.id = "fullscreen";
         node.appendChild (cnode = document.createElement ("div") ); cnode.id = "spinner";
      }

      this.node = node; var i = 0;
      this.graph = new Graph (this, node.children[i++]);
      this.hover = new Hover (this, node.children[i++]);
      this.prompt = new Prompt (this, node.children[i++]);
      this.menu = new Menu (this, node.children[i++]);
      this.statusbar = new Statusbar (this, node.children[i++]);
      this.select = new Select (this, node.children[i++]);
      this.fullscreen = new Fullscreen (this, node.children[i++]);
      this.spinner = new Spinner (this, node.children[i++]);
   }//end Constructor
};//end Class
