
//---------------------------Class Spinner----------------------------------------------//
class Spinner {
   // Restore constructor
   constructor (memory, node) {
      this.memory = memory;
      this.node  = node;

      this.node.appendChild (document.createElement ("div") );
      (this.msg = this.node.appendChild (document.createElement ("span") ) ).textContent = "Loading";
   }//end Constructor


   //------------------------Getter content---------------------------------------------//
   get content () {
      return this.node.textContent;
   }//end Fct


   //------------------------Start hide-------------------------------------------------//
   hide () {
      this.node.style.setProperty ("display", "none");
   }//end Fct


   //------------------------Start show-------------------------------------------------//
   show (msg) {
      if (msg !== undefined) {
         this.msg.textContent = msg;
      }
      this.node.style.setProperty ("display", "block");
   }//end Fct
};//end Class
