
//---------------------------Start getURLParameter--------------------------------------//
function getURLParameter (name, fallback, callback) {
   var val = decodeURIComponent((new RegExp('[?|&]' + name + '=' + '([^&;]+?)(&|#|;|$)').exec(location.search) || [null, ''])[1].replace(/\+/g, '%20'));
   if (!val) return fallback;
   if (callback) return callback (val);
   return val;
}//end Fct



//---------------------------Start loadScript-------------------------------------------//
// Dynamically load script and append to head
function loadScript (src, onload, onerror, async_ = true) {
   var script = document.createElement ("script");
   document.head.appendChild (script);
   script.type = "text/javascript";
   script.async = async_;
   script.onload = onload;
   script.onerror = onerror;
   script.src = src;
   return script;
}



//---------------------------Start loadJSON---------------------------------------------//
// Dynamically load json and append to head
// https://codepen.io/KryptoniteDove/post/load-json-file-locally-using-pure-javascript
function loadJSON (src, onload, onerror) {
   var xobj = new XMLHttpRequest ();

   xobj.overrideMimeType ("application/json");
   xobj.open ('GET', src, true); // Replace 'my_data' with the path to your file

   xobj.onreadystatechange = function () {
      if (xobj.readyState == 4 && xobj.status == "200") {
         // Required use of an anonymous callback as .open will NOT return a value but simply returns undefined in asynchronous mode
         onload (JSON.parse (xobj.responseText));
      }
   };

   xobj.send (null);
}



//---------------------------Start loadScript-------------------------------------------//
// Dynamically load script and append to head
// Array.prototype.iterativeForEach = function (callback, steps = 100, pause = 100) {
//    var i = 0;

//    var interval = setInterval ( () => {
//       for (var n = 0, e = this[i]; i < this.length && n < steps; ++i, ++n)
//          callback (e,i,this);

//       if (i >= this.length)
//          clearInterval (interval);
//    }, pause);
// };//end Fct
