<?php

header('Content-Type: application/javascript');
header('Cache-Control: max-age=86400');

// HTTP2 Server Push
//header("Link: js/GraphContainer.js; rel=preload; as=script", false);


$script_path = dirname ($_SERVER['SCRIPT_NAME'], $levels = 2);
echo "var JANET_SERVER = \"//" . $_SERVER['SERVER_NAME'] . $script_path . "/\";\n";

echo file_get_contents ('js/library.js');
echo file_get_contents ('js/Animation.js');
echo file_get_contents ('js/D3Forces.js');
echo file_get_contents ('js/Fullscreen.js');
echo file_get_contents ('js/Graph.js');
echo file_get_contents ('js/Export.js');
echo file_get_contents ('js/Hover.js');
echo file_get_contents ('js/Statusbar.js');
echo file_get_contents ('js/Menu.js');
echo file_get_contents ('js/Prompt.js');
echo file_get_contents ('js/Request.js');
echo file_get_contents ('js/Select.js');
echo file_get_contents ('js/Spinner.js');
echo file_get_contents ('js/GraphContainer.js');


if (array_key_exists ("main",  $_GET) ) {
   echo file_get_contents ('js/viewer.js');
}


if (array_key_exists ("full",  $_GET) ) {
   // Three.js
   echo file_get_contents ('3rdParty/three.js'); echo ("\n\n");
   // echo file_get_contents ('3rdParty/OrbitControls.js'); echo ("\n\n");
   echo file_get_contents ('3rdParty/AnaglyphEffect.js'); echo ("\n\n");
   echo file_get_contents ('3rdParty/ParallaxBarrierEffect.js'); echo ("\n\n");
   echo file_get_contents ('3rdParty/StereoEffect.js'); echo ("\n\n");
   echo file_get_contents ('3rdParty/TrackballControls.js'); echo ("\n\n");
   //echo file_get_contents ('3rdParty/three-trackballcontrols.min.js'); echo ("\n\n");
   //echo file_get_contents ('3rdParty/OrthographicTrackballControls.js'); echo ("\n\n");

   // D3
   echo file_get_contents ('3rdParty/d3-collection.v1.min.js'); echo ("\n\n");
   echo file_get_contents ('3rdParty/d3-dispatch.v1.min.js'); echo ("\n\n");
   echo file_get_contents ('3rdParty/d3-quadtree.v1.min.js'); echo ("\n\n");
   // echo file_get_contents ('3rdParty/d3-timer.v1.min.js'); echo ("\n\n");
   echo file_get_contents ('3rdParty/d3-force.v1.min.js'); echo ("\n\n");

   // Force Graph
   echo file_get_contents ('3rdParty/3d-force-graph.js'); echo ("\n\n");
   //echo file_get_contents ('3rdParty/three-forcegraph.min.js'); echo ("\n\n");

   // Libraries for Exporting
   echo file_get_contents ('3rdParty/dygraph.min.js'); echo ("\n\n");
   echo file_get_contents ('3rdParty/jspdf.min.js'); echo ("\n\n");
   echo file_get_contents ('3rdParty/xlsx.full.min.js'); echo ("\n\n");
   echo file_get_contents ('3rdParty/FileSaver.min.js'); echo ("\n\n");
   echo file_get_contents ('3rdParty/tableexport.min.js'); echo ("\n\n");
   echo file_get_contents ('3rdParty/GLTFExporter.js'); echo ("\n\n");

   if (strpos ($_SERVER['HTTP_USER_AGENT'], "Edge/") > 0 || strpos ($_SERVER['HTTP_USER_AGENT'], "Trident/") > 0) {
      echo file_get_contents ('3rdParty/canvas-to-blob.min.js'); echo ("\n\n");
   }
}
?>
