<?php
// HTTP2 Server Push
// header("Link: images/favicon.ico; rel=preload; as=image", false);

// header("Link: css/bootstrap.min.css; rel=preload; as=stylesheet", false);
// header("Link: css/datatables.min.css; rel=preload; as=stylesheet", false);
// header("Link: css/janet.css; rel=preload; as=stylesheet", false);
// header("Link: css/jquery-ui.min.css; rel=preload; as=stylesheet", false);
// header("Link: css/font-awesome.min.css; rel=preload; as=stylesheet", false);

// header("Link: js/jQuery/jquery-1.12.4.min.js; rel=preload; as=script", false);
// header("Link: js/bootstrap/bootstrap.bundle.min.js; rel=preload; as=script", false);
// header("Link: js/datatables.min.js; rel=preload; as=script", false);
// header("Link: js/utils.js; rel=preload; as=script", false);
// header("Link: js/janet.js; rel=preload; as=script", false);
// header("Link: js/jquery-ui.min.js; rel=preload; as=script", false);

// header("Link: Viewer/css/viewer.css; rel=preload; as=stylesheet", false);
// header("Link: Viewer/viewer.js.php?full; rel=preload; as=script", false);

?><!DOCTYPE html>
<html lang="en">

<head>
   <meta charset="utf-8">
   <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
   <meta name="description" content="janet">
   <meta name="author" content="azrael">
   <link rel="icon" href="images/favicon.ico">

   <title>JANet Start page</title>
   <!-- Bootstrap core CSS -->
   <link href="css/datatables.min.css" rel="stylesheet">
   <link href="css/bootstrap.min.css" rel="stylesheet">
   <link href="css/jquery-ui.min.css" rel="stylesheet">
   <link href="css/font-awesome.min.css" rel="stylesheet">
   <link href="css/janet.css" rel="stylesheet">
   <script src="js/jQuery/jquery-1.12.4.min.js"></script>
   <script src="js/bootstrap/bootstrap.bundle.min.js"></script>
   <script src="js/datatables.min.js"></script>
   <script src="js/dataTables.responsive.min.js"></script>
   <script src="js/buttons.colVis.min.js"></script>
   <script src="js/buttons.html5.min.js"></script>
   <script src="js/buttons.print.min.js"></script>
   <script src="js/utils.js"></script>
   <script src="js/janet.js"></script>
   <script src="js/jquery-ui.min.js"></script>

</head>

<body>
   <div class="container" id="normal_ui">
      <form class="form">
         <h3 class="form-heading title">JANet (Javascript AgeFactDB Network-viewer) - 3D Network Viewer for Lifespan Data</h3>
         <div id="tabs">
            <ul>
               <li><a href="#tabs-1">Ageing Factor Networks</a></li>
               <li><a href="#tabs-3">Overview Networks</a></li>
               <li><a href="#tabs-2">Import Gene List</a></li>
               <li><a href="#tabs-7">Gene List Networks</a></li>
               <li><a href="#tabs-4">Viewer</a></li>
               <li><a href="#tabs-5">Info</a></li>
               <li><a href="#tabs-8">Contact / Imprint</a></li>
               <li><a href="#tabs-6">Help</a></li>
            </ul>
            <div id="tabs-1">
               <?php include 'tab1.html';?>
            </div>
            <div id="tabs-2">
               <?php include 'tab2.html';?>
            </div>
            <div id="tabs-3">
               <?php include 'tab3.html';?>
            </div>
            <div id="tabs-7">
               <?php include 'resulttable.html';?>
            </div>
            <div id="tabs-4">
               <?php include 'tab4.html';?>
            </div>
            <div id="tabs-5">
               <?php include 'tab5.html';?>
            </div>
            <div id="tabs-6">
               <?php include 'tab6.html';?>
            </div>
            <div id="tabs-8">
               <?php include 'tab7.html';?>
            </div>

         </div>
      </form>
   </div>
   <!-- /container -->


</body>

</html>
