/**/

/*MATCH (af:AgeingFactor { subtype: 'gene', ncbiGeneID: ${ncbiGeneID} })-[:has_sp]->(sp:Species { id: ${SP_id} })*/


MATCH (af:AgeingFactor)
WHERE af.id in {GOI}
RETURN DISTINCT
   ${AF_name} AS goiSymbol,   name aus der liste wenn <name, species> ansonsten leer
   ${SP_id} AS goiSpecies,   name aus der liste wenn <name, species> ansonsten leer
   ${AF_ncbi_gene_id} AS goiNcbiGeneID,   ncbi aus der liste wenn <ncbi> ansonsten leer
   af.id AS afID,
   af.name AS afSymbol,
   af.species AS afSpecies,
   af.ncbiGeneID AS afNcbiGeneID,
   af.putative AS afPutative,
   [] AS afHomologyBaseIDs,   AF --> OB where OB.subtype == homology
   "" AS afEvidence   if putative == false then "experimental evidence" else AF --> OB.subtype == homology ???
