/* Create a node of type AgeingFactor */

MERGE (
   af:AgeingFactor
   {
      id     : '${AF_id}',       /* <-- entry_stable_id */
      type   : 'AgeingFactor',
      subtype: '${AF_type}',     /* <-- entry_type */
      name   : '${AF_name}',     /* <-- entry_name */

      ncbiGeneID: '${AF_ncbi_gene_id}'  /* <-- ncbi_gene_id */
   }
)

ON CREATE SET
   af.synonyms              = [${AF_synonyms}],

   af.species               = [${AF_species}],

   af.lifespanDataAvailable = ${AF_lifespan_data_available},   /* <-- lifespan_data_available */
   af.putative              = ${AF_putative},

   af.created = timestamp ()

ON MATCH SET
   af.synonyms              = [${AF_synonyms}],

   af.species               = [${AF_species}],

   af.lifespanDataAvailable = ${AF_lifespan_data_available},   /* <-- lifespan_data_available */
   af.putative              = ${AF_putative}
